# -*- coding: utf-8 -*-

"""
A dictionary sorting heavy mineral varieties into their associated mineral
groups. E.g. Alamandine --> Garnets, Diopside --> Clinopyroxene, etc.
"""

##TODO Light minerals?

minerals = {'Garnet_group': [
                'Almandine', 'Pyrope', 'Spessartine', 'Andradite', 'Grossular',
                'Uvarovite', 'Goldmanite', 'Kimzeyite', 'Morimotoite',
                'Schorlomite', 'Hydrogrossular', 'Hibschite', 'Katoite',
                'Knorringite', 'Majorite', 'Calderite', 'Palenzonaite'],

            'Olivine_group': [
                'Calcio-olivine', 'Fayalite', 'Forsterite', 'Glaucochroite',
                'Kirschsteinite', 'Laihunite', 'Liebenbergite', 'Monticellite',
                'Roepperite', 'Tephroite'],

            'Zircon': ['Zircon'],

            'Titanite': ['Titanite', 'Sphene'],

            'Vesuvianite_group': [
                'Alumovesuvianite', 'Cyprine', 'Fluorvesuvianite', 'Hongheite',
                'Magnesiovesuvianite', 'Manganvesuvianite', 'Vesuvianite',
                'Wiluite'],

            'Aluminosilicate': [
                'Sillimanite', 'Andalusite', 'Kyanite', 'Disthene'],

            'Topaz': ['Topaz'],

            'Dumortierite': ['Dumortierite'],

            'Staurolite': ['Staurolite'],

            'Chloritoid': ['Chloritoid'],

            'Epidote_super_group': [
                'Zoisite', 'Clinozoisite', 'Epidote', 'Piemontite', 'Allanite',
                'AllaniteCe', 'AllaniteLa', 'AllaniteNd', 'AllaniteY'],

            'Lawsonite': ['Lawsonite'],

            'Pumpellyite': ['Pumpellyite'],

            'Tourmaline_group': [
                'Adachiite', 'Bosiite', 'Chromiumdravite',
                'Chromo-alumino-povondraite', 'Darrellhenryite', 'Dravite',
                'Elbaite', 'Feruvite', 'Fluorbuergerite', 'Fluordravite',
                'Fluorelbaite', 'Fluorliddicoatite', 'Fluorschorl',
                'Fluortsilaisite', 'Fluoruvite', 'Foitite', 'Lucchesiite',
                'LuinaiteOH', 'Magnesiofoitite', 'Maruyamaite', 'Olenite',
                'Oxychromiumdravite', 'Oxydravite', 'Oxyfoitite', 'Oxyschorl',
                'Oxyvanadiumdravite', 'Povondraite', 'Rossmanite', 'Schorl',
                'Tsilaisite', 'Uvite', 'Vanadio-oxy-chromium-dravite',
                'Vanadio-oxy-dravite', 'Tourmaline-(unknown)',
                'Turmaline-(unknown)', 'Tourmaline'],

            'Clinopyroxene': [
                'Aegirine', 'Aegirine-augite', 'Augite', 'Clinoenstatite',
                'Clinoferrosilite', 'Diopside', 'Esseneite', 'Hedenbergite',
                'Jadeite', 'Jervisite', 'Johannsenite', 'Kanoite', 'Kosmochlor',
                'Kushiroite', 'Namansilite', 'Natalyite', 'Omphacite',
                'Petedunnite', 'Pigeonite', 'Spodumene'],

            'Orthopyroxene': [
                'Donpeacorite', 'Enstatite', 'Ferrosilite', 'Protoenstatite',
                'Hypersthene'],

            'Amphibole_super_group': [
                'Amphibole-(unknown)',
                'Magnesioanthophyllite', 'Ferroanthophyllite',
                'Protoferroanthophyllite', 'Sodiumanthophyllite',
                'Magnesiogedrite', 'Ferrogedrite', 'Sodiumgedrite',
                'Magnesioholmquistite', 'Ferroholmquistite',
                'Clinoferroholmquistite', 'Tremolite', 'Ferroactinolite',
                'Edenite', 'Ferroedenite', 'Pargasite', 'Ferropargasite',
                'Hastingsite', 'Magnesiohastingsite', 'Grunerite',
                'Magnesiofluorohastingsite', 'Aluminotschermakite',
                'Ferroaluminotschermakite', 'Ferritschermakite',
                'Ferroferritschermakite', 'Aluminomagnesiohornblende',
                'Aluminoferrohornblende', 'Kaersutite', 'Ferrokaersutite',
                'Glaucophane', 'Ferroglaucophane', 'Magnesioriebeckite',
                'Riebeckite', 'Eckermannite', 'Ferroeckermannite',
                'Magnesioarfvedsonite', 'Arfvedsonite', 'Kozulite',
                'Potassicmagnesiofluoroarfvedsonite', 'Potassicarfvedsonite',
                'Magnesio-fluoro-arfvedsonite', 'Amphibole','Actinolite',
                'Taramite', 'Potassicfluororichterite', 'Winchite',
                'Gedrite'],

            ##TODO Suenoite_group belongs to Amphibole_super_group ?!
            'Suenoite_group': [
                'Protoferrosuenoite', 'Clinoferrosuenoite',
                'Proto-ferro-suenoite', 'Clino-ferro-suenoite'],

            'Phyllosilicates': [
                'Zussmanite','Nontronite', 'Zeophyllite',
                'FluorapophylliteK','Tumchaite', 'Fluorapophyllite-K',
                'FluorapophylliteK', 'Fluorapophyllite-Na',
                'FluorapophylliteNa', 'Hydroxyapophyllite-K',
                'HydroxyapophylliteK', 'Sanbornite', 'Naujakasite',
                'Sarcolite', 'Searlesite', 'Petalite', 'Vermiculite',
                'Okenite', 'Eakerite'],

            'Mica_group': [
                'Aluminoceladonite', 'Anandite', 'Annite', 'Aspidolite',
                'Balestraite', 'Biotite', 'Bityite', 'Boromuscovite',
                'Brammallite', 'Celadonite', 'Chernykhite', 'Chromceladonite',
                'Chromphyllite', 'Clintonite', 'Eastonite', 'Ephesite',
                'Ferroaluminoceladonite', 'Ferroceladonite',
                'Ferrokinoshitalite', 'Fluorannite', 'Fluorophlogopite',
                'Ganterite', 'Garmite', 'Glauconite', 'Gorbunovite',
                'Hendricksite', 'Illite', 'Kinoshitalite', 'Lepidolite',
                'Luanshiweiite', 'Manganiceladonite', 'Margarite',
                'Masutomilite', 'Montdorite', 'Muscovite', 'Nanpingite',
                'Natro-glauconite', 'Natroglauconite', 'Norrishite',
                'Oxykinoshitalite', 'Oxyphlogopite', 'Paragonite',
                'Phengite', 'Phlogopite', 'Polylithionite', 'Preiswerkite',
                'Roscoelite', 'Shirokshinite', 'Shirozulite', 'Siderophyllite',
                'Sokolovaite', 'Suhailite', 'Tainiolite', 'Tetraferriannite',
                'Tetraferriphlogopite', 'Tobelite', 'Trilithionite',
                'Voloshinite', 'Wonesite', 'Yangzhumingite', 'Zinnwaldite'],

            'Pyrophyllite-Talc_group': [
                'Ferripyrophyllite', 'Minnesotaite', 'Pyrophyllite',
                'Talc', 'Willemseite'],

            'Chlorite_group': [
                'Baileychlore', 'Chamosite', 'Clinochlore', 'Cookeite',
                'Donbassite', 'Gonyerite', 'Nimite', 'Odinite',
                'Orthochamosite', 'Pennantite', 'Ripidolite', 'Sudoite'],

            'Serpentine_group': [
                'Amesite', 'Antigorite', 'Berthierine', 'Brindleyite',
                'Chrysotile', 'Clinochrysotile', 'Orthochrysotile',
                'Parachrysotile', 'Cronstedtite', 'Fraipontite', 'Greenalith', 
                'Karyopilite', 'Kellyite', 'Lizardite', 'Manandonite',
                'Nepouite', 'Pecoraite'],

            'Prehnite': ['Prehnite'],

            'Cassiterite': ['Cassiterite'],

            'Corundum': ['Corundum'],

            'Titanium-Oxides': [
                'Rutile', 'Anatase', 'Brookite', 'TiO2-Corg', 'TiO2(?)-Corg',
                'Anatase-Brookite-Intergrowth','Anatase-Rutile-Intergrowth',
                'Anatase-Rutile-(Intergrowth)'],

            'Spinel_group': [
                'Spinel', 'Chrysoberyl', 'Gahnite', 'Hercynite', 'Galaxite',
                'Pleonaste', 'Cuprospinel', 'Franklinite', 'Jacobsite',
                'Magnesioferrite', 'Trevorite', 'Ulvospinel',
                'Zinc-ferrite', 'Chromite', 'Magnesiochromite',
                'Zincochromite', 'Ringwoodite'],

            'Sulphates': [
                'Sphalerite', 'Baryte', 'Celestite', 'Gypsum', 'Anhydrite',
                'Jarosite', 'Retgersite'],

            'Sulphides': [
                'Pyrite', 'Millerite', 'Sarabauite'],

            'Dolomite_group': [
                'Dolomite', 'Ankerite', 'Kutnohorite', 'Minrecordit'],

            'Aragonite_group': [
                'Aragonite', 'Witherite', 'Strontianite', 'Cerussite'],

            'Carbonates_general': [
                'Benstonite'],

            'Calcite_group': [
                'Calcite', 'Magnesite', 'Siderite', 'Rhodochrosite',
                'Smithsonite', 'Otavite', 'Gaspeite', 'Spherocobaltite'],

            'Apatite_super_group': [
                'Alforsite', 'Hydroxylpyromorphite', 'Johnbaumite', 'Mimetite',
                'Oxypyromorphite', 'Pieczkaite', 'Pyromorphite',
                'Stronadelphite', 'Svabite', 'Turneaureite', 'Vanadinite',
                'Belovite-(Ce)', 'BeloviteCe', 'Belovite-(La)', 'BeloviteLa',
                'Carlgieseckeite-(Nd)', 'CarlgieseckeiteNd', 'Deloneite',
                'Fluorcaphite', 'Fluorstrophite', 'Kuannersuite-(Ce)',
                'KuannersuiteCe', 'Britholite-(Ce)', 'BritholiteCe',
                'Britholite-(La)', 'BritholiteLa', 'Britholite-(Y)',
                'BritholiteY', 'Calciobritholite', 'Fluorbritholite-(Ce)',
                'FluorbritholiteCe', 'Fluorbritholite-(Y)', 'FluorbritholiteY',
                'Fluorcalciobritholite', 'Tritomite-(Ce)', 'TritomiteCe',
                'Tritomite-(Y)', 'TritomiteY', 'Chlorellestadite',
                'Fluorellestadite', 'Hydroxylellestadite',
                'Mattheddleite', 'Aiolosite', 'Caracolite', 'Cesanite',
                'Fluorphosphohedyphane', 'Hedyphane', 'Miyahisaite',
                'Morelandite', 'Phosphohedyphane', 'Vanackerite'],

            'Apatite': ['Fluoroapatite', 'Hydroxyapatite', 'Chlorapatite',
                        'Hydroxylapatite', 'Fluorapatite'],

            'Monazite_group': [
                'MonaziteCe', 'MonaziteLa', 'MonaziteNd', 'MonaziteSm'],

            'Xenotime': ['Xenotime'],

            'Scheelite': ['Scheelite'],

            'Fluorite_group':[
                'Fluorite', 'Fluorocronite', 'Strontiofluorite'],

            ##TODO Hematite, Magnetite dont belong in this group
            'Fe-Ti_oxides': [
                'Hematite', 'Magnetite', 'Ulvospinel',
                'Pseudobrookite','Titanomagnetite'],

            'SiO2': ['Quartz', 'Stishovite', 'Cristobalite', 'Opal',
                     'Tridymite'],

            'Pyrochlore_group': ['Pyrochlore'],

            'Zeolite_group': [
                'Alflarsenite', 'Amicite', 'Ammonioleucite', 'Analcime',
                'Bellbergite', 'Bikitaite', 'Boggsite', 'Brewsterite-Ba',
                'BrewsteriteBa', 'Brewsterite-Sr', 'BrewsteriteSr',
                'Chabazite-Ca', 'ChabaziteCa', 'Chabazite-K', 'ChabaziteK',
                'Chabazite-Mg', 'ChabaziteMg', 'Chabazite-Na', 'ChabaziteNa',
                'Chabazite-Sr', 'ChabaziteSr', 'Levyne-Ca', 'LevyneCa',
                'Levyne-Na', 'LevyneNa', 'Chiavennite', 'Clinoptilolite-Ca',
                'ClinoptiloliteCa', 'Clinoptilolite-K', 'ClinoptiloliteK',
                'Clinoptilolite-Na', 'ClinoptiloliteNa', 'Cowlesite',
                'Dachiardite-Ca', 'DachiarditeCa', 'Dachiardite-K', 
                'DachiarditeK', 'Dachiardite-Na', 'DachiarditeNa',
                'Direnzoite', 'Edingtonite', 'Epistilbite', 'Erionite-Ca',
                'ErioniteCa', 'Erionite-K', 'ErioniteK', 'Erionite-Na',
                'ErioniteNa', 'Faujasite', 'Faujasite-Ca', 'FaujasiteCa',
                'Ferrierite-K', 'FerrieriteK', 'Ferrierite-Mg', 'FerrieriteMg',
                'Ferrierite-Na', 'Ferrochiavennite', 'Florkeite',
                'Garronite-Ca', 'GarroniteCa', 'Gaultite', 'Gismondine-Ba',
                'GismondineBa', 'Gismondine-Ca', 'GismondineCa', 'Gmelinite',
                'Gobbinsite', 'Goosecreekite', 'Gottardiite', 'Harmotome',
                'Heulandite-Ba', 'HeulanditeBa', 'Heulandite-Ca',
                'HeulanditeCa', 'Heulandite-K', 'HeulanditeK', 'Heulandite-Na',
                'HeulanditeNa', 'Heulandite-Sr', 'HeulanditeSr',
                'Hsianghualite', 'Kirchhoffite', 'Laumontite', 'Lovdarite',
                'Maricopaite', 'Mazzite-Mg', 'MazziteMg', 'Mazzite-Na',
                'MazziteNa', 'Merlinoite', 'Montesommaite', 'Mordenite',
                'Mutinaite', 'Nabesite', 'Gonnardite', 'Mesolite', 'Natrolite',
                'Paranatrolite', 'Scolecite', 'Offretite', 'Pahasapaite',
                'Partheite', 'Paulingite-Ca', 'PaulingiteCa', 'Paulingite-K',
                'PaulingiteK', 'Paulingite-Na', 'PaulingiteNa', 'Perlialite',
                'Phillipsite', 'Pollucite', 'Roggianite', 'Barrerite',
                'Stellerite', 'Stilbite-Ca', 'StilbiteCa', 'Stilbite-Na',
                'StilbiteNa', 'Terranovaite', 'Thomsonite-Ca',
                'ThomsoniteCa', 'Thomsonite-Sr', 'ThomsoniteSr',
                'Tschernichite', 'Tschortnerite', 'Wairakite', 'Weinebeneite',
                'Wenkite', 'Willhendersonite', 'Yugawaralite', 'PhillipsiteCa',
                'Phillipsite-Ca', 'PhillipsiteK', 'Phillipsite-K',
                'PhillipsiteNa', 'Phillipsite-Na'],

            'Feldspathoids': [
                'Afghanite', 'Alloriite', 'Balliranoite', 'Biachellaite',
                'Bystrite', 'Cancrinite', 'Cancrisilite', 'Davyne',
                'Depmeierite', 'Franzinite', 'Giuseppettite',
                'Hydroxycancrinite', 'Kircherite', 'Kyanoxalite',
                'Liottite', 'Marinellite', 'Microsommite', 'Pitiglianoite',
                'Quadridavyne', 'Sacrofanite', 'Sulfhydrylbystrite',
                'Tounkite', 'Vishnevite', 'Carnegieite', 'Davidsmithite',
                'Kalsilite', 'Leucite', 'Nepheline', 'Hauyne', 'Lazurite',
                'Nosean', 'Sodalite', 'Tsaregorodtsevite', 'Vladimirivanovite',
                'Trinepheline'],

            'Feldspar_group': [
                'Albite', 'Amazonite', 'Andesine', 'Anorthite', 'Anorthoclase',
                'Banalsite', 'Buddingtonite', 'Bytownite', 'Celsian',
                'Dmisteinbergite', 'Filatovite', 'Hexacelsian', 'Hyalophane',
                'Kokchetavite', 'Kumdykolite', 'Labradorite', 'Microcline',
                'Oligoclase', 'Orthoclase', 'Paracelsian', 'Reedmergnerite',
                'Rubicline', 'Sanidine', 'Slawsonite', 'Stronalsite',
                'Svyatoslavite'],

            'Axinite_group': [
                'AxiniteFe', 'AxiniteMg', 'AxiniteMn','Tinzenite', 'Axinite'],

            'Wollastonite_group': [
                'Pectolite', 'Barrydawsonite', 'Bustamite', 'Cascandite',
                'Ferrobustamite', 'Murakamiite', 'Schizolite', 'Serandite',
                'Tanohataite', 'Vistepite', 'Wollastonite'],

            'Phenakite_group': [
                'Eucryptite', 'Phenakite', 'Willemite'],

            'Eudialyte_group': [
                'Alluaivite', 'Andrianovite', 'Aqualite', 'Carbokentbrooksite',
                'Davinciite', 'Dualite', 'Eudialyte', 'Feklichevite',
                'Fengchengite', 'Ferrokentbrooksite', 'Georgbarsanovite',
                'Golyshevite', 'Hydrorastsvetaevite', 'Ikranite', 'Ilyukhinite',
                'Johnsenite-(Ce)', 'JohnseniteCe', 'Kentbrooksite',
                'Khomyakovite', 'Labyrinthite', 'Manganoeudialyte',
                'Manganokhomyakovite', 'Mogovidite', 'Oneillite',
                'Raslakite', 'Rastsvetaevite', 'Siudaite', 'Taseqite',
                'Voronkovite', 'Zirsilite-(Ce)', 'ZirsiliteCe'],

            'Labuntsovite_super_group': [
                'Alsakharovite-Zn', 'AlsakharoviteZn', 'Gutkovaite-Mn',
                'GutkovaiteMn', 'Neskevaaraite-Fe', 'NeskevaaraiteFe',
                'Burovaite-Ca', 'BurovaiteCa', 'Gjerdingenite-Ca',
                'GjerdingeniteCa', 'Gjerdingenite-Fe', 'GjerdingeniteFe',
                'Gjerdingenite-Mn', 'GjerdingeniteMn', 'Gjerdingenite-Na',
                'Karupmollerite-Ca', 'KarupmolleriteCa', 'Kuzmenkoite-Mn',
                'KuzmenkoiteMn', 'Kuzmenkoite-Zn', 'KuzmenkoiteZn',
                'Lepkhenelmite-Zn', 'LepkhenelmiteZn', 'Labuntsovite-Fe',
                'LabuntsoviteFe', 'Labuntsovite-Mg', 'LabuntsoviteMg',
                'Labuntsovite-Mn', 'LabuntsoviteMn', 'Lemmleinite-Ba',
                'LemmleiniteBa', 'Lemmleinite-K', 'LemmleiniteK',
                'Korobitsynite', 'Nenadkevichite', 'Organovaite-Mn',
                'OrganovaiteMn', 'Organovaite-Zn', 'Parakuzmenkoite-Fe',
                'ParakuzmenkoiteFe', 'Paralabuntsovite-Mg',
                'ParalabuntsoviteMg', 'Paratsepinite-Ba', 'ParatsepiniteBa',
                'Paratsepinite-Na', 'ParatsepiniteNa', 'Tsepinite-Ca',
                'TsepiniteCa', 'Tsepinite-K', 'TsepiniteK', 'Tsepinite-Na',
                'TsepiniteNa', 'Tsepinite-Sr', 'TsepiniteSr', 'Vuoriyarvite-K',
                'VuoriyarviteK'],

            'Pyrosmalite_group': [
                'Friedelite', 'Mcgillite', 'Nelenite', 'Pyrosmalite-(Fe)',
                'PyrosmaliteFe', 'Pyrosmalite-(Mn)', 'PyrosmaliteMn',
                'Schallerite'],

            'Lazulite_group': [
                'Barbosalite', 'Hentschelite', 'Lazulite', 'Scorzalite',
                'Wilhelmkleinite'],

            'Benitoite_group': [
                'Bazirite', 'Benitoite', 'Pabstite', 'Wadeite'],

            'Reyerite_group': [
                'Minehillite', 'Reyerite', 'Truscottite'],

            'Ilmenite_group': [
                'Akimotoite', 'Ecandrewsite', 'Geikielite', 'Hemleyite',
                'Ilmenite', 'Pyrophanite'],

            'Gyrolite_group': [
                'Cairncrossite', 'Gyrolite', 'Orlymanite', 'Tungusite'],

            'Melilite_group': [
                'Akermanite', 'Alumoakermanite', 'Ferri-gehlenite',
                'Ferrigehlenite', 'Gehlenite', 'Gugiaite', 'Hardystonite',
                'Hydroxylgugiaite', 'Okayamalite'],

            'Rhodonite_group': [
                'Babingtonite', 'Ferrorhodonite', 'Lithiomarsturite',
                'Manganbabingtonite', 'Marsturite', 'Nambulite',
                'Natronambulite', 'Rhodonite', 'Scandiobabingtonite'],

            'Astrophyllite_super_group': [
                'Astrophyllite', 'Bulgakite', 'Hydroastrophyllite',
                'Nalivkinite', 'Niobophyllite', 'Tarbagataite',
                'Zircophyllite', 'Devitoite', 'Lobanovite', 'Sveinbergeite',
                'Heyerdahlite', 'Kupletskite', 'Kupletskite-Cs',
                'KupletskiteCs', 'Niobokupletskite'],

            'Lovozerite_group': [
                'Imandrite', 'Koashvite', 'Combeite', 'Kapustinite',
                'Kazakovite', 'Litvinskite', 'Lovozerite', 'Tisinalite',
                'Zirsinalite'],

            'Bastnasite_group': [
                'Bastnasite-Ce', 'BastnasiteCe', 'Bastnasite-La',
                'BastnasiteLa', 'Bastnasite-Nd', 'BastnasiteNd',
                'BastnasiteNd', 'Hydroxylbastnasite-Ce', 'HydroxylbastnasiteCe',
                'Hydroxylbastnasite-Nd', 'HydroxylbastnasiteNd',
                'Thorbastnasite'],

            'Carpholite_group': [
                'Carpholite', 'Ferrocarpholite', 'Magnesiocarpholite',
                'Potassiccarpholite', 'Vanadiocarpholite'],

            'Neptunite_group': [
                'Magnesioneptunite', 'Manganoneptunite', 'Neptunite'],

            'Dugganite_group': [
                'Cheremnykhite', 'Dugganite', 'Joelbruggerite', 'Kuksite'],

            'Helvine_group': [
                'Danalite', 'Genthelvite', 'Helvine', 'Tugtupite'],

            'Humite_group': [
                'Chegemite', 'Edgrewite', 'Kumtyubeite', 'Reinhardbraunsite',
                'Chondrodite', 'Clinohumite', 'Humite', 'Hydroxylchondrodite',
                'Hydroxylclinohumite', 'Norbergite', 'Jerrygibbsite',
                'Leucophoenicite', 'Ribbeite', 'Alleghanyite', 'Manganhumite',
                'Sonolite'],

            'Sapphirine_super_group': [
                'Aenigmatite', 'Krinovite', 'Kuratite', 'Wilkinsonite',
                'Beckettite', 'Khesinite', 'Dorrite', 'Hogtuvaite',
                'Leucorhonite', 'Makarochkinite', 'Rhonite', 'Serendibite',
                'Welshite', 'Addibischoffite', 'Khmaralite', 'Sapphirine',
                'Warkite', 'Surinamite'],

            'Diaspore_group': [
                'Bracewellite', 'Diaspore', 'Goethite', 'Groutite',
                'Montroseite', 'Tsumgallite'],

            'Scapolite_group': [
                'Algerite', 'Marialite', 'Meionite', 'Scapolite', 'Silvialite'],

            'Batisite_group': [
                'Batisite', 'Noonkanbahite', 'Shcherbakovite'],

            'Dalyite_group': [
                'Dalyite', 'Davanite', 'Sazhinite-Ce', 'SazhiniteCe',
                'Sazhinite-La', 'SazhiniteLa'],

            'Ungrouped': [
                'Melanovanadite', 'Miserite', 'Catapleiite', 'Braunite',
                'Cubiczirconia', 'Wickenburgite', 'Terlinguaite',
                'Diaoyudaoite', 'Traskite', 'Zektzerite', 'Macfallite',
                'Soddyite', 'Baddeleyite', 'Leucophanite',
                'Lasalite', 'Moissanite', 'Turkestanite', 'Elpidite',
                'Bertrandite','Stokesite','Paravinogradovite',
                'FluorbritholiteCe', 'Voglite', 'Reinhardbraunsite',
                'Saneroite', 'Kristiansenite', 'Wohlerite','Weeksite',
                'Papagoite', 'Sursassite','Petarasite','Stringhamite',
                'Pseudowollastonite', 'Inesite', 'Meliphanite',
                'Cordierite', 'Howlite', 'Perovskite', 'Lorenzenite',
                'Carlosturanite','GmeliniteNa','Gmelinite-Na','Rasvumite',
                'Magnetite-Artifact260', 'Tinaksite', 'Osumilite',
                'Bigcreekite', 'Strakhovite'],

            'Glues': [
                'UV-glue', 'Crystalbond'],

            'Carbon': [
                'Diamond', 'Graphite']
            }
